gsw_enthalpy_second_derivatives_CT_exact {gsw} | R Documentation

## Second Derivatives of Enthalpy (exact)

### Description

Second Derivatives of Enthalpy (exact)

### Usage

    gsw_enthalpy_second_derivatives_CT_exact(SA, CT, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

A list containing `h_SA_SA` [ (J/kg)/(g/kg)^2 ], the second derivative of enthalpy with respect to Absolute Salinity, `h_SA_CT` [ (J/kg)/(K*g/kg) ], the derivative of enthalpy with respect to Absolute Salinity and Conservative Temperature, and `h_CT_CT` [ (J/kg)/degC^2 ], the second derivative of enthalpy with respect to Conservative Temperature.

### References

http://www.teos-10.org/pubs/gsw/html/gsw_enthalpy_second_derivatives_CT_exact.html

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.7856, 28.4329, 22.8103, 10.2600,  6.8863,  4.4036)
    p <- c(      10,      50,     125,     250,     600,    1000)
    r <- gsw_enthalpy_second_derivatives_CT_exact(SA, CT, p)
    expect_equal(r$h_SA_SA, c(0.000082767011576, 0.000414469343141, 0.001089580017293,
                            0.002472193425998, 0.006103171596320, 0.010377465312463))
    expect_equal(r$h_SA_CT, c(0.000130320164426, 0.000655016236924, 0.001879127443985,
                            0.005468695168037, 0.014315709000526, 0.025192691262061))
    expect_equal(r$h_CT_CT, c(0.000714365642428, 0.003584965089168, 0.009733337653703,
                            0.024044402143825, 0.061449390733344, 0.107333638394904))

[Package gsw version 1.0-5 Index]